using MongoDB.Bson;

namespace adas_core.Domain.Models.MongoModels;

public class Notice
{
    public ObjectId Id { get; set; }
    public DateTime NoticeDate { get; set; }
    public string Description { get; set; } = string.Empty;
    public string NoticeType { get; set; } = string.Empty;
    public ObjectId DisplayId { get; set; }
    public List<StaffInfo>? StaffInfoList { get; set; }
    public bool IsFooterEnabled { get; set; } = true;


    public override string ToString()
    {
        List<string> items = [];
        if (NoticeDate != DateTime.MinValue) items.Add($"Date: {NoticeDate}");
        items.Add($"DisplayId : {DisplayId}");
        items.Add($"Type: {NoticeType}");
        items.Add($"Description: {Description}");

        return "Notice [" + string.Join(",", items) + "]";
    }
}

public class StaffInfo
{
    public required string Role { get; set; }
    public required string Leader { get; set; }
}